---
apiVersion: "networking.k8s.io/v1"
kind: "Ingress"
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: "{{ $.Values.maxFileSize }}"
  name: "{{ $.Values.name }}"
spec:
  ingressClassName: "{{ $.Values.ingress.className }}"
  tls:
    - hosts:
        - "{{ $.Values.domain }}"
      secretName: "{{ $.Values.name }}.tls"
  rules:
    - host: "{{ $.Values.domain }}"
      http:
        paths:
          - pathType: "Prefix"
            path: "/"
            backend:
              service:
                name: "{{ $.Values.name }}"
                port:
                  number: 9000
